/****************************************************************************
**
** Copyright (C) 2018 The Qt Company Ltd.
** Contact: http://www.qt.io/licensing/
**
** This file is part of the QtLocation module of the Qt Toolkit.
**
** $QT_BEGIN_LICENSE:LGPL3$
** Commercial License Usage
** Licensees holding valid commercial Qt licenses may use this file in
** accordance with the commercial license agreement provided with the
** Software or, alternatively, in accordance with the terms contained in
** a written agreement between you and The Qt Company. For licensing terms
** and conditions see http://www.qt.io/terms-conditions. For further
** information use the contact form at http://www.qt.io/contact-us.
**
** GNU Lesser General Public License Usage
** Alternatively, this file may be used under the terms of the GNU Lesser
** General Public License version 3 as published by the Free Software
** Foundation and appearing in the file LICENSE.LGPLv3 included in the
** packaging of this file. Please review the following information to
** ensure the GNU Lesser General Public License version 3 requirements
** will be met: https://www.gnu.org/licenses/lgpl.html.
**
** GNU General Public License Usage
** Alternatively, this file may be used under the terms of the GNU
** General Public License version 2.0 or later as published by the Free
** Software Foundation and appearing in the file LICENSE.GPL included in
** the packaging of this file. Please review the following information to
** ensure the GNU General Public License version 2.0 requirements will be
** met: http://www.gnu.org/licenses/gpl-2.0.html.
**
** $QT_END_LICENSE$
**
****************************************************************************/

#ifndef QGEOMAPROUTE_P_P_H
#define QGEOMAPROUTE_P_P_H

//
//  W A R N I N G
//  -------------
//
// This file is not part of the Qt API.  It exists purely as an
// implementation detail.  This header file may change from version to
// version without notice, or even be removed.
//
// We mean it.
//

#include <QtLocationLabs/private/qlocationlabsglobal_p.h>
#include <QtLocation/private/qgeomapobject_p_p.h>
#include <QtLocation/private/qdeclarativegeoroute_p.h>
QT_BEGIN_NAMESPACE

class QGeoRoute;

class Q_LOCATIONLABS_PRIVATE_EXPORT QMapRouteObjectPrivate : public QGeoMapObjectPrivate
{
public:
    QMapRouteObjectPrivate(QGeoMapObject *q);
    QMapRouteObjectPrivate(const QMapRouteObjectPrivate &other);
    ~QMapRouteObjectPrivate() override;

    virtual QGeoMapObject::Type type() const override final;

    QDeclarativeGeoRoute *declarativeGeoRoute() const;

    virtual QGeoRoute route() const;
    virtual void setRoute(const QDeclarativeGeoRoute *route);

    // QGeoMapObjectPrivate interface
    bool equals(const QGeoMapObjectPrivate &other) const override;
    QGeoMapObjectPrivate *clone() override;
};

QT_END_NAMESPACE

#endif // QGEOMAPROUTE_P_P_H
